Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.util
Class ImperativeOCLValidator

    java.lang.Object
      EObjectValidator
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.util.ImperativeOCLValidator

    public class ImperativeOCLValidator

extends EObjectValidator

The Validator for the model.

See Also:
  `ImperativeOCLPackage`

Field Summary
`protected static int` | `DIAGNOSTIC_CODE_COUNT` A constant with a fixed name that can be used as the base value for additional hand written constants in a derived class
`static java.lang.String` | `DIAGNOSTIC_SOURCE` A constant for the `source` of diagnostic `codes` from this package
`protected org.eclipse.ocl.ecore.util.EcoreValidator` | `ecore_1Validator` The cached base package validator
`protected EcoreValidator` | `ecoreValidator` The cached base package validator
`protected ExpressionsValidator` | `expressionsValidator` The cached base package validator
`static ImperativeOCLValidator` | `INSTANCE` The cached model package
`protected TypesValidator` | `typesValidator` The cached base package validator

Constructor Summary
`ImperativeOCLValidator()` Creates an instance of the switch

Method Summary
`protected EPackage` | `getEPackage()` Returns the package of this validator switch
`ResourceLocator` | `getResourceLocator()` Returns the resource locator that will be used to fetch messages for this validator's diagnostics
`protected boolean` | `validate(int classifierID, java.lang.Object value, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Calls `validateXXX` for the corresponding classifier of the model
`boolean` | `validateAltExp(AltExp altExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateAssertExp(AssertExp assertExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateAssignExp_checkLeftAndValueExpConformance(AssignExp assignExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the checkLeftAndValueExpConformance constraint of 'Assign Exp'
`boolean` | `validateAssignExp_WellFormedLeftExp(AssignExp assignExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the WellFormedLeftExp constraint of 'Assign Exp'
`boolean` | `validateAssignExp(AssignExp assignExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateBlockExp(BlockExp blockExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateBreakExp(BreakExp breakExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateCatchExp(CatchExp catchExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateComputeExp(ComputeExp computeExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateContinueExp(ContinueExp continueExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateDictionaryType(DictionaryType dictionaryType, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateDictLiteralExp(DictLiteralExp dictLiteralExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateDictLiteralPart(DictLiteralPart dictLiteralPart, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateForExp(ForExp forExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateImperativeExpression(ImperativeExpression imperativeExpression, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateImperativeIterateExp_WellFormedBody(ImperativeIterateExp imperativeIterateExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the WellFormedBody constraint of 'Imperative Iterate Exp'
`boolean` | `validateImperativeIterateExp_WellFormedCondition(ImperativeIterateExp imperativeIterateExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the WellFormedCondition constraint of 'Imperative Iterate Exp'
`boolean` | `validateImperativeIterateExp_WellFormedName(ImperativeIterateExp imperativeIterateExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the WellFormedName constraint of 'Imperative Iterate Exp'
`boolean` | `validateImperativeIterateExp_WellFormedTargetVar(ImperativeIterateExp imperativeIterateExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the WellFormedTargetVar constraint of 'Imperative Iterate Exp'
`boolean` | `validateImperativeIterateExp(ImperativeIterateExp imperativeIterateExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateImperativeLoopExp(ImperativeLoopExp imperativeLoopExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateInstantiationExp(InstantiationExp instantiationExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateListLiteralExp(ListLiteralExp listLiteralExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateListType(ListType listType, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateLogExp(LogExp logExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateOrderedTupleLiteralExp(OrderedTupleLiteralExp orderedTupleLiteralExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateOrderedTupleLiteralPart(OrderedTupleLiteralPart orderedTupleLiteralPart, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateOrderedTupleType_WellFormedName(OrderedTupleType orderedTupleType, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Validates the WellFormedName constraint of 'Ordered Tuple Type'
`boolean` | `validateOrderedTupleType(OrderedTupleType orderedTupleType, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateRaiseExp(RaiseExp raiseExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateReturnExp(ReturnExp returnExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateSeverityKind(SeverityKind severityKind, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateSwitchExp(SwitchExp switchExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateTryExp(TryExp tryExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateTypedef(Typedef typedef, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateUnlinkExp(UnlinkExp unlinkExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateUnpackExp(UnpackExp unpackExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateVariableInitExp(VariableInitExp variableInitExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`boolean` | `validateWhileExp(WhileExp whileExp, DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ImperativeOCLValidator INSTANCE

  The cached model package

### DIAGNOSTIC_SOURCE

    public static final java.lang.String DIAGNOSTIC_SOURCE

  A constant for the `source` of diagnostic `codes` from this package.

  See Also:
    `org.eclipse.emf.common.util.Diagnostic#getSource()`, `org.eclipse.emf.common.util.Diagnostic#getCode()`, Constant Field Values

### DIAGNOSTIC_CODE_COUNT

    protected static final int DIAGNOSTIC_CODE_COUNT

  A constant with a fixed name that can be used as the base value for additional hand written constants in a derived class.

  See Also:
    Constant Field Values

### ecoreValidator

    protected EcoreValidator ecoreValidator

  The cached base package validator.

### ecore_1Validator

    protected org.eclipse.ocl.ecore.util.EcoreValidator ecore_1Validator

  The cached base package validator.

### typesValidator

    protected TypesValidator typesValidator

  The cached base package validator.

### expressionsValidator

    protected ExpressionsValidator expressionsValidator

  The cached base package validator.

Constructor Detail

### ImperativeOCLValidator

    public ImperativeOCLValidator()

  Creates an instance of the switch.

Method Detail

### getEPackage

    protected EPackage getEPackage()

  Returns the package of this validator switch.

### validate

    protected boolean validate(int classifierID,
                               java.lang.Object value,
                               DiagnosticChain diagnostics,
                               java.util.Map<java.lang.Object,java.lang.Object> context)

  Calls `validateXXX` for the corresponding classifier of the model.

### validateAltExp

    public boolean validateAltExp(AltExp altExp,
                                  DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### validateAssertExp

    public boolean validateAssertExp(AssertExp assertExp,
                                     DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

### validateAssignExp

    public boolean validateAssignExp(AssignExp assignExp,
                                     DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

### validateAssignExp_WellFormedLeftExp

    public boolean validateAssignExp_WellFormedLeftExp(AssignExp assignExp,
                                                       DiagnosticChain diagnostics,
                                                       java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the WellFormedLeftExp constraint of 'Assign Exp'.

### validateAssignExp_checkLeftAndValueExpConformance

    public boolean validateAssignExp_checkLeftAndValueExpConformance(AssignExp assignExp,
                                                                     DiagnosticChain diagnostics,
                                                                     java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the checkLeftAndValueExpConformance constraint of 'Assign Exp'.

### validateBlockExp

    public boolean validateBlockExp(BlockExp blockExp,
                                    DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

### validateBreakExp

    public boolean validateBreakExp(BreakExp breakExp,
                                    DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

### validateCatchExp

    public boolean validateCatchExp(CatchExp catchExp,
                                    DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

### validateComputeExp

    public boolean validateComputeExp(ComputeExp computeExp,
                                      DiagnosticChain diagnostics,
                                      java.util.Map<java.lang.Object,java.lang.Object> context)

### validateContinueExp

    public boolean validateContinueExp(ContinueExp continueExp,
                                       DiagnosticChain diagnostics,
                                       java.util.Map<java.lang.Object,java.lang.Object> context)

### validateDictLiteralExp

    public boolean validateDictLiteralExp(DictLiteralExp dictLiteralExp,
                                          DiagnosticChain diagnostics,
                                          java.util.Map<java.lang.Object,java.lang.Object> context)

### validateDictLiteralPart

    public boolean validateDictLiteralPart(DictLiteralPart dictLiteralPart,
                                           DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

### validateDictionaryType

    public boolean validateDictionaryType(DictionaryType dictionaryType,
                                          DiagnosticChain diagnostics,
                                          java.util.Map<java.lang.Object,java.lang.Object> context)

### validateForExp

    public boolean validateForExp(ForExp forExp,
                                  DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### validateImperativeExpression

    public boolean validateImperativeExpression(ImperativeExpression imperativeExpression,
                                                DiagnosticChain diagnostics,
                                                java.util.Map<java.lang.Object,java.lang.Object> context)

### validateImperativeIterateExp

    public boolean validateImperativeIterateExp(ImperativeIterateExp imperativeIterateExp,
                                                DiagnosticChain diagnostics,
                                                java.util.Map<java.lang.Object,java.lang.Object> context)

### validateImperativeIterateExp_WellFormedName

    public boolean validateImperativeIterateExp_WellFormedName(ImperativeIterateExp imperativeIterateExp,
                                                               DiagnosticChain diagnostics,
                                                               java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the WellFormedName constraint of 'Imperative Iterate Exp'.

### validateImperativeIterateExp_WellFormedTargetVar

    public boolean validateImperativeIterateExp_WellFormedTargetVar(ImperativeIterateExp imperativeIterateExp,
                                                                    DiagnosticChain diagnostics,
                                                                    java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the WellFormedTargetVar constraint of 'Imperative Iterate Exp'.

### validateImperativeIterateExp_WellFormedBody

    public boolean validateImperativeIterateExp_WellFormedBody(ImperativeIterateExp imperativeIterateExp,
                                                               DiagnosticChain diagnostics,
                                                               java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the WellFormedBody constraint of 'Imperative Iterate Exp'.

### validateImperativeIterateExp_WellFormedCondition

    public boolean validateImperativeIterateExp_WellFormedCondition(ImperativeIterateExp imperativeIterateExp,
                                                                    DiagnosticChain diagnostics,
                                                                    java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the WellFormedCondition constraint of 'Imperative Iterate Exp'.

### validateImperativeLoopExp

    public boolean validateImperativeLoopExp(ImperativeLoopExp imperativeLoopExp,
                                             DiagnosticChain diagnostics,
                                             java.util.Map<java.lang.Object,java.lang.Object> context)

### validateInstantiationExp

    public boolean validateInstantiationExp(InstantiationExp instantiationExp,
                                            DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### validateListLiteralExp

    public boolean validateListLiteralExp(ListLiteralExp listLiteralExp,
                                          DiagnosticChain diagnostics,
                                          java.util.Map<java.lang.Object,java.lang.Object> context)

  Since:
    3.0

### validateListType

    public boolean validateListType(ListType listType,
                                    DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

### validateLogExp

    public boolean validateLogExp(LogExp logExp,
                                  DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### validateOrderedTupleLiteralExp

    public boolean validateOrderedTupleLiteralExp(OrderedTupleLiteralExp orderedTupleLiteralExp,
                                                  DiagnosticChain diagnostics,
                                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### validateOrderedTupleLiteralPart

    public boolean validateOrderedTupleLiteralPart(OrderedTupleLiteralPart orderedTupleLiteralPart,
                                                   DiagnosticChain diagnostics,
                                                   java.util.Map<java.lang.Object,java.lang.Object> context)

### validateOrderedTupleType

    public boolean validateOrderedTupleType(OrderedTupleType orderedTupleType,
                                            DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

### validateOrderedTupleType_WellFormedName

    public boolean validateOrderedTupleType_WellFormedName(OrderedTupleType orderedTupleType,
                                                           DiagnosticChain diagnostics,
                                                           java.util.Map<java.lang.Object,java.lang.Object> context)

  Validates the WellFormedName constraint of 'Ordered Tuple Type'.

### validateRaiseExp

    public boolean validateRaiseExp(RaiseExp raiseExp,
                                    DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

### validateReturnExp

    public boolean validateReturnExp(ReturnExp returnExp,
                                     DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

### validateSwitchExp

    public boolean validateSwitchExp(SwitchExp switchExp,
                                     DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

### validateTryExp

    public boolean validateTryExp(TryExp tryExp,
                                  DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

### validateTypedef

    public boolean validateTypedef(Typedef typedef,
                                   DiagnosticChain diagnostics,
                                   java.util.Map<java.lang.Object,java.lang.Object> context)

### validateUnlinkExp

    public boolean validateUnlinkExp(UnlinkExp unlinkExp,
                                     DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

### validateUnpackExp

    public boolean validateUnpackExp(UnpackExp unpackExp,
                                     DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

### validateVariableInitExp

    public boolean validateVariableInitExp(VariableInitExp variableInitExp,
                                           DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

### validateWhileExp

    public boolean validateWhileExp(WhileExp whileExp,
                                    DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

### validateSeverityKind

    public boolean validateSeverityKind(SeverityKind severityKind,
                                        DiagnosticChain diagnostics,
                                        java.util.Map<java.lang.Object,java.lang.Object> context)

### getResourceLocator

    public ResourceLocator getResourceLocator()

  Returns the resource locator that will be used to fetch messages for this validator's diagnostics.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD